Name: lzip
Version: 1.18
Release: 2
License: GPL-3.0-or-later
Summary: Lossless data compressor similar to gzip or bzip2
Url: http://www.nongnu.org/lzip/

# For install command
BuildRequires: coreutils-gnu

Source0: http://download.savannah.gnu.org/releases/lzip/lzip-%{version}.tar.gz

%description
Lzip is a lossless data compressor with a user interface similar to the one of
gzip or bzip2. Lzip can compress about as fast as gzip (lzip -0), or compress
most files more than bzip2 (lzip -9). Decompression speed is intermediate
between gzip and bzip2. Lzip is better than gzip and bzip2 from a data recovery
perspective.

The lzip file format is designed for data sharing and long-term archiving,
taking into account both data integrity and decoder availability:

 - ram can repair bit-flip errors (one of the most common forms of data
 corruption) in lzip files, and provides data recovery capabilities, including
 error-checked merging of damaged copies of a file. - a simple decompressor
 along with a detailed explanation of how it works, so that with the only help
 of the lzip manual it would be possible for a digital archaeologist to extract
 the data from a lzip file long after quantum computers eventually render LZMA
 obsolete. - forever. 

A nice feature of the lzip format is that a corrupt byte is easier to repair the
nearer it is from the beginning of the file. Therefore, with the help of
lziprecover, losing an entire archive just because of a corrupt byte near the
beginning is a thing of the past.

Lzip uses the same well-defined exit status values used by bzip2, which makes it
safer than compressors returning ambiguous warning values (like gzip) when it is
used as a back end for other programs like tar or zutils. 

%prep
%setup -q

%build

%configure \
  CXXFLAGS="$CXXFLAGS" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  # end
  
%make_build

%install

%make_install
  
%files
%defattr(-, qsys, *none)

%{_bindir}/lzip

%{_mandir}/man1/lzip.1

%{_infodir}/lzip.info

%changelog
* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 1.18
- Use SPDX license identifier
- Use install command from GNU coreutils instead of custom script

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring libstdc++

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix 64-bit build
